Bug 1574382 - [CNS][3.6] docker registry back end storage keep pending with invalid AccessModes error when glusterfs_registry_block_storageclass as default storageclass
Summary: [CNS][3.6] docker registry back end storage keep pending with invalid AccessM...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.6.z
Assignee: Jose A. Rivera
QA Contact: Wenkai Shi
URL:
Whiteboard:
Depends On: 1544387
Blocks: 1568260
TreeView+ depends on / blocked
 
Reported: 2018-05-03 07:37 UTC by Wenkai Shi
Modified: 2018-05-17 07:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1544387
Environment:
Last Closed: 2018-05-17 07:58:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0489 0 None None None 2018-05-03 07:37:43 UTC
Red Hat Product Errata RHBA-2018:1579 0 None None None 2018-05-17 07:59:26 UTC

Comment 1 Wenkai Shi 2018-05-03 07:38:23 UTC
# oc get pvc 
NAME             STATUS    VOLUME    CAPACITY   ACCESSMODES   STORAGECLASS               AGE
registry-claim   Pending                                      glusterfs-registry-block   13m
[root@qe-weshi-36cns-master-1 ~]# oc describe pvc 
Name:		registry-claim
Namespace:	default
StorageClass:	glusterfs-registry-block
Status:		Pending
Volume:		
Labels:		<none>
Annotations:	control-plane.alpha.kubernetes.io/leader={"holderIdentity":"12324aa5-4ea1-11e8-b49c-0a580a820007","leaseDurationSeconds":15,"acquireTime":"2018-05-03T07:11:31Z","renewTime":"2018-05-03T07:25:20Z","lea...
		volume.beta.kubernetes.io/storage-provisioner=gluster.org/glusterblock
Capacity:	
Access Modes:	
Events:
  FirstSeen	LastSeen	Count	From								SubObjectPath	Type		Reason			Message
  ---------	--------	-----	----								-------------	--------	------			-------
  13m		3m		173	persistentvolume-controller							Normal		ExternalProvisioning	cannot find provisioner "gluster.org/glusterblock", expecting that a volume for the claim is provisioned either manually or via external software
  13m		1m		13	gluster.org/glusterblock 12324aa5-4ea1-11e8-b49c-0a580a820007			Normal		Provisioning		External provisioner is provisioning volume for claim "default/registry-claim"
  13m		1m		13	gluster.org/glusterblock 12324aa5-4ea1-11e8-b49c-0a580a820007			Warning		ProvisioningFailed	Failed to provision volume with StorageClass "glusterfs-registry-block": invalid AccessModes [ReadWriteMany]: only AccessModes [ReadWriteOnce ReadOnlyMany] are supported

Comment 2 Jose A. Rivera 2018-05-03 13:20:10 UTC
PR is upstream: https://github.com/openshift/openshift-ansible/pull/8252

Comment 4 Wenkai Shi 2018-05-08 06:27:43 UTC
Verified with version openshift-ansible-3.6.173.0.117-1.git.0.8c22c43.el7, AccessModes is good now.

# oc get pvc
NAME             STATUS    VOLUME            CAPACITY   ACCESSMODES   STORAGECLASS   AGE
registry-claim   Bound     registry-volume   5Gi        RWX                          14m

# oc export pvc registry-claim
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  annotations:
    pv.kubernetes.io/bind-completed: "yes"
    pv.kubernetes.io/bound-by-controller: "yes"
  creationTimestamp: null
  name: registry-claim
spec:
  accessModes:
  - ReadWriteMany
  resources:
    requests:
      storage: 5Gi
  storageClassName: ""
  volumeName: registry-volume
status: {}

Comment 7 errata-xmlrpc 2018-05-17 07:58:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1579


Note You need to log in before you can comment on or make changes to this bug.